API referenceTokens
OHLCV buckets in USD for one token, from the pool its chart is drawn from (the token's chartPool). Pass nextBefore as before for older buckets.
Path Parameters
address*string
A 20-byte hex address.
Match
^0x[0-9a-fA-F]{40}$Query Parameters
tf?integer
Bucket size in seconds.
Default
300Value in
- 60
- 300
- 900
- 3600
- 14400
- 86400
limit?integer
Range
1 <= value <= 1000Default
400before?integer
Unix seconds; only buckets before this time, for paging back.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/tokens/string/candles"{ "token": "string", "tf": 0, "source": "indexer-token", "candles": [ { "t": 0, "o": 0, "h": 0, "l": 0, "c": 0, "v": 0 } ], "hasMore": true, "nextBefore": 0}